2019-12-13 11:15 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001954Sanity_WorldOfCommodore[All Projects] Generalpublic2018-12-10 16:53
ReporterIrek 
Assigned ToWeplProject InfoWorld of Commodore '92 (Sanity)
http://www.whdload.de/demos/Sanity_WorldOfCommodore.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionreopened 
Summary0001954: World of Commodore '92: Hi Bert, Das Demo hang sich bei mir nach dem Titel Bild
DescriptionInstall: World of Commodore '92 (Sanity) http://whdload.de/demos/Sanity_WorldOfCommodore.html
GameVersion: english,pal,1 disks
SlaveVersion: 1.1 from 25.04.2000

Hi Bert,
Das Demo hang sich bei mir nach dem Titel Bild auf. Ich habe verschiedene Optionen ausprobiert und einige ältere WHDLoad Versionen leider ohne erfolg. Möglicherweise passiert der Fehler nur auf 040 CPU. Kannst du bitte den Fehler Koregieren? Ich bedanke mich bei Dir im Voraus.
Bye,
Irek
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.8
importedyes
Attached Files
  • ? file icon 1.whdl_register (2,468 bytes) 2012-03-21 13:05 -
    ************************* 27-Okt-08 12:53:13 *************************10.0.2379***
    SLAVE=WorldOfCommodore.slave (7792 bytes)
    ShadowMem 6830AC48 - 6838BC48 ( 528384) AbsolutMem    81000 -    81000 (      0)
    Resload   69FC2000 - 69FC8D1E (  27934) at 69FC2000
    Slave     69FFD000 - 69FFEE4C (   7756) at 69FFD000
    ExpMem    69FCA000 - 69FF3000 ( 167936) at 69FCA000
    attn=3F fc=-1 kn=10371 cs=2C15 rw=0 zpt=-1 setcpu=0
    
    Exception "Access Fault" ($7008) PC = $276EA Instruction stream fault at $FFFFF0
    exception stackframe:
    $69FCA20C 20000002 76EA7008 69FCA248 05250025 00250005 00FFFFF0 0000040A 000260FE
    $69FCA22C 00000001 69FCCB5A 00043948 0002CD66 0002B948 20040002 7742006C
    regular stack:
    $69FCA248 00027306 000272E6 00000040 20C0006A 00002100 00000280 05FF4600 00080000
    $69FCA268 0007C100 00004200 0003A6B8 0002F560 0005F423 00055790 00DFF002 0002F560
    $69FCA288 0002E148 20000002 72D6006C 00000002 20C0006A 00002100 00000280 05FF4600
    $69FCA2A8 00080000 0007C100 00004200 0003A6B8 0002F560 0005F423 00055790 00043948
    $69FCA2C8 0002F560 0002E148 20000002 7744006C 00027306 000272E6 00000040 4A70001F
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx      400  F8A00002      2200      2384   8E14200     80000     78700      4200
    Ax    3A77C     2CD6E    FFFFF0  69FCCB5A     43948     2CD6E     2B948
    
                     TTSM III   XNZVC
    PC=   276EA  SR %0010000000000000  USP=69FCA1F4  ISP=69FCA20C  MSP=80800
    VBR=69FF5000  SFC=5  DFC=5  CACR=0  
    TC=8000  URP=69FC0000  SRP=69FC0000  MMUSR=00000000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001011000 dmacon=%0010001111101111 adkcon=$1100
    intreq=%0000011110110000
    vposr....A300  vhposr...0317  joy0dat..5230  joy1dat..0000  clxdat...8001  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.00F8  hhposr...FF66  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00001000  ta= 58A< 58A
    	    AII ROPS			    AII ROPS
    	crb=00000000  tb=21FF<21FF	   crb=00001000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110  prb=11111111      pra=11111111  prb=11110111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=00049B  icr=00  sdr=00    event=05A183  icr=00  sdr=00
    
    ? file icon 1.whdl_register (2,468 bytes) 2012-03-21 13:05 +
  • ? file icon 2.whdl_register (2,708 bytes) 2012-03-21 13:06 -
    ************************* 24-Jan-09 11:08:26 ************************16.9.4643***
    Slave='WorldOfCommodore.slave' (7792 bytes)
    ShadowMem 682C9780 - 68345780 ( 507904) AbsolutMem    7C000 -    81000 (  20480)
    Resload   69FBE000 - 69FC6CAC (  36012) at 69FBE000  GL=$69FF2000
    Slave     69FFB000 - 69FFCE4C (   7756) at 69FFB000  BaseMemSize=$81000
    ExpMem    69FC8000 - 69FF1000 ( 167936) at 69FC8000
    attn=7F(40,82) fc=-1 kn=10371 cs=F3C0 rw=0 zpt=-1 ep=0 ei=0
    setcpu=0(SNCS,ENCS,BNCS)
    
    Exception "Level 3 Autovector (COPPER/VBLANK/BLITTER)" ($6C) at $276DE occured.
    
    $000276d6 moveq        #0,d4
    $000276d8 add.l        d6,d4
    $000276da swap         d4
    $000276dc move.w       d4,d3
    $000276de add.w        d3,d3
    $000276e0 add.w        d3,d3
    $000276e2 move.l       (0,a0,d3.w),a2                 ;$0003ad46
    $000276e6 swap         d4
    $000276e8 move.l       a1,a5
    
    exception stackframe:
    $69FC816C 20000002 76DE006C
    regular stack:
    $69FC8174 00027306 000272E6 00000040 20C0006C 00002100 00000280 05EFC400 00080000
    $69FC8194 0007C100 00004200 0003A6B8 0002F560 0005F3A5 00055788 00DFF002 0002F560
    $69FC81B4 0002E148 20000002 72D6006C 00000008 20C0006C 00002100 00000280 05EFC400
    $69FC81D4 00080000 0007C100 00004200 0003A6B8 0002F560 0005F3A5 00055788 00043948
    $69FC81F4 0002F560 0002E148 20000002 7744006C 00027306 000272E6 00000040 4A70006D
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        8  F8A0006B      2200       5CA  E30005CA     80000     78700      4200
    Ax    3A77C     2CD60     5F3CB  69FCAB5A     43948     2CD60     2B948
    
                     TTSM III   XNZVC
    PC=   276DE  SR %0010000000000000  USP=69FC81F4  ISP=69FC816C  MSP=80800
    VBR=69FF3000  SFC=5  DFC=5  CACR=0  
    TC=8000  URP=69FFE000  SRP=69FFE000  MMUSR=00000000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001011000 dmacon=%0000001111101111 adkcon=$1100
    intreq=%0000011111100000
    vposr....A300  vhposr...0201  joy0dat..0100  joy1dat..0000  clxdat...8001  
    pot0dat..CF00  pot1dat..0000  potinp...5500  serdatr..3BFF  dskbytr..8000  
    deniseid.00F8  hhposr...FF4F  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00001000  ta= 58A< 58A
    	    AII ROPS			    AII ROPS
    	crb=00000000  tb=21FF<21FF	   crb=00001000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110  prb=11111111      pra=11111111  prb=11110111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000499  icr=00  sdr=00    event=059F11  icr=00  sdr=00
    
    ? file icon 2.whdl_register (2,708 bytes) 2012-03-21 13:06 +
  • ? file icon .whdl_log (2,320 bytes) 2015-04-11 19:49 -
    ******* 01-Jan-78 00:32:54 ******* WorldOfCommodore.slave ******* 18.0.5614 *******
    [0000] [Disk]    crc=D4E1  dest=$   1000  size=$ 2C00= 11264  disk=1  offset=$    0
    [0001] [Disk]    crc=BAE1  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$ 1600
    [0002] loader
    [0003] [Disk]    crc=F00E  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$ 2C00
    [0004] loadseg loader @FDCC0B0 exp@20B0
    [0005] incasm:sosdebug
    [0006] [Disk]    crc=E9DF  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$29400
    [0007] readfile mod @828 exp@F0236828 len=$2584C=153676
    [0008] [Disk]    crc=62AA  dest=$    828  size=$2584C=153676  disk=1  offset=$ 3A00
    [0009] [Write]   crc=62AA   src=$    828  size=$2584C=153676  name=mod
    [0010] stars
    [0011] loadseg stars @26078 exp@F025C078
    [0012] loc
    [0013] loadseg loc @269A0 exp@F025C9A0
    [0014] stripe
    [0015] [Disk]    crc=C2A0  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$2AA00
    [0016] loadseg stripe @26CF0 exp@F025CCF0
    [0017] incasm:sosdebug
    [0018] [Disk]    crc=E9DF  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$29400
    [0019] readfile woc.raw @70000 exp@F02A6000 len=$10000=65536
    [0020] [Disk]    crc=D82E  dest=$  70000  size=$10000= 65536  disk=1  offset=$36E00
    [0021] [Write]   crc=D82E   src=$  70000  size=$10000= 65536  name=woc.raw
    [0022] zoom
    [0023] [Disk]    crc=C2A0  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$2AA00
    [0024] [Disk]    crc=572A  dest=$  27140  size=$ BBE8= 48104  disk=1  offset=$2B024
    [0025] [Disk]    crc=B6C0  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$35A00
    [0026] loadseg zoom @27140 exp@F025D140
    [0027] incasm:sosdebug
    [0028] [Disk]    crc=E9DF  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$29400
    [0029] dots
    [0030] [Disk]    crc=2719  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$40A00
    [0031] [Disk]    crc=BE7E  dest=$  27140  size=$ 4804= 18436  disk=1  offset=$41028
    [0032] [Disk]    crc=BCAE  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$44C00
    [0033] loadseg dots @27140 exp@F025D140
    [0034] readfile font.pp @55148 exp@F028B148 len=$446C=17516
    [0035] [Disk]    crc=9045  dest=$  55148  size=$ 446C= 17516  disk=1  offset=$45A00
    [0036] [Write]   crc=9045   src=$  55148  size=$ 446C= 17516  name=font.pp
    [0037] incasm:sosdebug
    [0038] [Disk]    crc=E9DF  dest=$FDCA6A0  size=$ 1600=  5632  disk=1  offset=$29400
    ? file icon .whdl_log (2,320 bytes) 2015-04-11 19:49 +
  • ? file icon .whdl_register (2,208 bytes) 2015-04-11 20:06 -
    ************************* 01-Jan-78 00:52:11 ************************18.0.5614***
    Slave='WorldOfCommodore.slave' (8664 bytes)
    ShadowMem  8198A88 -  81C3A88 ( 176128) AbsolutMem    2B000 -    81000 ( 352256)
    Resload    FDC3870 -  FDC9EF4 (  26244) at FDC3870  GL=$FDF3D88
    Slave      FDFBC68 -  FDFDE1C (   8628) at FDFBC68  BaseMemSize=$81000
    ExpMem     FDCA000 -  FDF3000 ( 167936) at FDCA000
    attn=3(20) fc=-1 kn=21622 cs=1851 rw=0 zpt=-1 ep=0 ei=0
    setcpu=2324(SS,DC,IC,SWT,ENC,BNCS) DbgAdr=27140
    
    Illegal returncode #-1
    regular stack:
    $0FDCA398 00000008 26D0005B 0003DB3C 0002F562 0FDFDDA2 20000002 76D80068 00027306
    $0FDCA3B8 000272E6 00000535 00000000 0000EC28 00000080 00000020 00080000 0FDCA600
    $0FDCA3D8 000000A1 0FDCCB72 00039D48 00042148 0005F948 00DFF002 00027D0E 0FDCA580
    $0FDCA3F8 00090002 7440006C 4EF90FDF C2A84EF9 0FDFCBF2 4EF90FDF C2F64EF9 0FDFC2F6
    $0FDCA418 4EF90FDF C2A24EF9 0FDFC2A0 4EF90FDF C2F84EF9 0FDFC2F6 4EF90FDF D5344EF9
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx       59  26D0005B      E200      1158    EF5400     80000     12100      4200
    Ax   DFF000    BFE001     5ECAF     5F948     43948     2F562     2E148
    
                     TTSM III   XNZVC
    PC=FFFFFFFF  SR %0010001000000000  USP=FDCA1F4  ISP=FDCA398  MSP=80800
    VBR=FDF4D88  SFC=5  DFC=5  CACR=0  CAAR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001011000 dmacon=%0010001111101111 adkcon=$1100
    intreq=%0000011110101000
    vposr....A000  vhposr...C06D  joy0dat..03FF  joy1dat..0000  clxdat...8001  
    pot0dat..8500  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.FFFF  hhposr...2C0C  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=01000000  ta=21FF<21FF	   cra=00001000  ta= 58A< 58A
    	    AII ROPS			    AII ROPS
    	crb=00000000  tb=21FF<21FF	   crb=00001000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000550  icr=00  sdr=4D    event=067E56  icr=00  sdr=00
    
    ? file icon .whdl_register (2,208 bytes) 2015-04-11 20:06 +
  • jpg file icon Foto.JPG (56,054 bytes) 2015-04-11 20:11 -
    jpg file icon Foto.JPG (56,054 bytes) 2015-04-11 20:11 +
  • ? file icon WorldOfCommodore.Slave (8,672 bytes) 2015-04-12 12:30
  • ? file icon WorldOfCommodore-2.Slave (8,372 bytes) 2018-11-20 18:53
  • ? file icon WorldOfCommodore-3.Slave (8,460 bytes) 2018-12-06 14:24

-Relationships
+Relationships

-Notes

note ~0001224

Wepl (developer)

mfletcher has just posted in the project.WHDLoad forum of English Amiga Board under the title of
The WHDLoad '040 compatibility problems list.

This thread is located at http://eab.abime.net/showthread.php?t=34854

Here is the message that has just been posted:
***************
Ok, case in point, World of Commodore Demo by Sanity.
Only tool types set are the SLAVE tool type and NOCACHE. Ive also tried with NOMMU set but this
will cause the demo to not work at all.

Problem: The demo will load and the World of Commodore logo will come up. But when the demo
switches to the next part of the demo, a hard crash happens, and the only way to recover is to
give the Amiga the three finger salute.

Im using the latest version of WHDLoad (16.8), Slave version is 1.4. Accelerator is a DCE
Blizzard 1240 with MMU and 32MB of memory on board.

Can anyone reproduce this issue on their 040 accelerator based miggy?
***************

note ~0001226

Wepl (developer)

Date: Sat, 24 Jan 2009 12:34:57 +0100
From: Irek.Kloska
To: wepl
Subject: BugReport: World of Commodore '92 (Sanity)
Parts/Attachments:
   1 Shown 78 lines Text
   2 200 KB Application
----------------------------------------

Hallo Bert,

Nun, mit WHDLoad 16,9 V. (vielen Dank für das Update) ist die Sache viel einfacher, die Demo
schürzt gleich nach ein paar Sekunden mit einen Fehlermeldung ab.
Also, ich schicke dir noch einmal das Register + das dump File.

note ~0002639

Wepl (developer)

there is a new version of the install released which should fix this issue

note ~0002642

Retroplay (reporter)

Last edited: 2012-03-21 19:43

View 2 revisions

Quote:
"disk version is checked, because there are at least two versions of
this demo out and only one of them is supported"

I have the alternate version in case you're interested in adding support for that one too.

note ~0002643

Wepl (developer)

I have the alternate version too, but no motivation to adapt it for that.

note ~0002644

Retroplay (reporter)

Hehe ok just checking.
I'll just hang on to the old v1.4 install for that version.

note ~0002645

Wepl (developer)

and 1.4 is completely working for this version?

note ~0002646

Retroplay (reporter)

Yes sort of, I have just finished watching the demo.

The only problem I got was an error after I hit the quit key, but no problems while the demo runs.

note ~0002647

Wepl (developer)

the quitkey problem was a bug which is now fixed.
on which hw did you test it (cpu/speed)?

note ~0002648

Retroplay (reporter)

Last edited: 2012-03-21 23:02

View 2 revisions

Real C= A1200 stock 680EC20 14mhz, kick3.0, 8mb fast and latest WHDLoad 17.1.5163

note ~0002670

Irek (reporter)

Well, I just wanted to say that the demo still makes problems on my 040 CPU.
I've tried it with cache and nocache option, always with the same result.
PS; It was not easy to find a supported version of your installer.;)->Thanks Retroplay! :)
************************* 13-Apr-12 18:03:18
************************17.0.5139***
Slave='WorldOfCommodore.slave' (8136 bytes)
ShadowMem 682CCE00 - 68341E00 ( 479232) AbsolutMem 75000 - 81000 (
49152)
Resload 6BFBF000 - 6BFC66A0 ( 30368) at 6BFBF000 GL=$6BFF2000
Slave 6BFFB000 - 6BFFCFA4 ( 8100) at 6BFFB000 BaseMemSize=$81000
ExpMem 6BFC8000 - 6BFF1000 ( 167936) at 6BFC8000
attn=7F(40,82) fc=-1 kn=10371 cs=6794 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS) DbgAdr=26968

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $6BFFB2E4 (Slave $2E4) occured.

$6bffb2a4 move.w d2,($56,a4) ;$00dff058
$6bffb2a8 bra.b $6bffb2bc
$6bffb2aa move.w d1,($56,a4) ;$00dff058
$6bffb2ae bra.b $6bffb2bc
$6bffb2b0 move.w d0,($56,a4) ;$00dff058
$6bffb2b4 bra.b $6bffb2bc
$6bffb2b6 move.w #$c818,($56,a4) ;$00dff058
$6bffb2bc tst.b ($dff002)
$6bffb2c2 btst #6,($dff002)
$6bffb2ca beq.b $6bffb2ee
$6bffb2cc tst.b ($bfe001)
$6bffb2d2 tst.b ($bfe001)
$6bffb2d8 tst.b ($bfe001)
$6bffb2de tst.b ($bfe001)
$6bffb2e4 btst #6,($dff002)
$6bffb2ec bne.b $6bffb2cc
$6bffb2ee tst.b ($dff002)
$6bffb2f4 rts
$6bffb2f6 andi.w #$fbff,($140,a0) ;$0005d358
$6bffb2fc rts
$6bffb2fe andi.w #$fbff,($10c,a0) ;$0005d324
$6bffb304 rts
$6bffb306 move.l a0,-(a7) ;$6bfc815c
$6bffb308 move.l (8,a0),a0 ;$0005d220
$6bffb30c andi.w #$fbff,($90,a0) ;$0005d2a8
$6bffb312 move.l (a7)+,a0 ;$6bfc815c
$6bffb314 rts
$6bffb316 andi.w #$fbff,($11e,a0) ;$0005d336
$6bffb31c rts

regular stack:
$6BFC815C 20186BFF B2E4006C 00026E1A 00026B84 00026B68 00000020 F8A0008D
00002263
$6BFC817C 00000208 04CAF500 00080000 00078700 00000010 00030838 0006362C
0004F4AA
$6BFC819C 6BFCAAE4 00039A18 0006362C 00062218 20000002 6F7A006C 00026B84
00026B68
$6BFC81BC 00000040 20C00031 00002100 00001EE4 07B93F00 00080000 0007C100
00000010
$6BFC81DC 00030778 0005E638 0004B2A1 6BFCAAE4 00DFF002 0005E638 0005D218
20000002

  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6----
----7----
Dx 22180006 F8A0000C 0 208 4CAF500 80000 78700
  10
Ax 5D218 62218 4F4AA 6BFCAAE4 DFF002 DFF0D8 5FA18

                 TTSM III XNZVC
PC=6BFFB2E4 SR %0010000000011000 USP=6BFC81F4 ISP=6BFC815C
MSP=80800
VBR=6BFF3000 SFC=5 DFC=5 CACR=0
TC=8000 URP=6BFFE000 SRP=6BFFE000 MMUSR=00000000
DTT0=00000000 DTT1=00000000 ITT0=00000000 ITT1=00000000

         MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110000001011000 dmacon=%0000001111101111 adkcon=$1100
intreq=%0000011111100000
vposr....A300 vhposr...030D joy0dat..851D joy1dat..0000 clxdat...8001
pot0dat..9000 pot1dat..0000 potinp...5500 serdatr..3BFF dskbytr..8000
deniseid.00F8 hhposr...FFBF
   ciaa: PI ROPS ciab: PI ROPS
    cra=00000000 ta=21FF<21FF cra=00001000 ta= 58A< 58A
        AII ROPS AII ROPS
    crb=00000000 tb=21FF<21FF crb=00001000 tb=FFFF<FFFF
        10RTWCLO parallel DRCCDSOY M3210HDS
    pra=11111110 prb=11111111 pra=11111111
prb=11111111
       ddra=00000011 ddrb=00000000 ddra=11000000
ddrb=11111111
       event=00049D icr=00 sdr=00 event=05A3F5 icr=00 sdr=00

************************* 13-Apr-12 18:04:08
************************17.0.5139***
Slave='WorldOfCommodore.slave' (8136 bytes)
ShadowMem 68769DE0 - 687DEDE0 ( 479232) AbsolutMem 75000 - 81000 (
49152)
Resload 6BFBF000 - 6BFC66A0 ( 30368) at 6BFBF000 GL=$6BFF2000
Slave 6BFFB000 - 6BFFCFA4 ( 8100) at 6BFFB000 BaseMemSize=$81000
ExpMem 6BFC8000 - 6BFF1000 ( 167936) at 6BFC8000
attn=7F(40,82) fc=-1 kn=10371 cs=6794 rw=0 zpt=-1 ep=0 ei=0
setcpu=2324(SS,DC,IC,SWT,ENC,BNCS) DbgAdr=26968

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $26FC0 (DbgAdr $658) occured.

$00026f94 move.b (a2)+,d2 ;$0004f4d3
$00026f96 beq.b $26fc0
$00026f98 move.w (-1,a4,d2.l),d3 ;$0003bb17
$00026f9c eor.w d0,(0,a5,d3.w) ;$0005e7bc
$00026fa0 move.b (a2)+,d2 ;$0004f4d3
$00026fa2 move.w (-1,a4,d2.l),d3 ;$0003bb17
$00026fa6 eor.w d0,(0,a5,d3.w) ;$0005e7bc
$00026faa move.b (a2)+,d2 ;$0004f4d3
$00026fac beq.b $26fc0
$00026fae move.w (-1,a4,d2.l),d3 ;$0003bb17
$00026fb2 eor.w d0,(0,a5,d3.w) ;$0005e7bc
$00026fb6 move.b (a2)+,d2 ;$0004f4d3
$00026fb8 move.w (-1,a4,d2.l),d3 ;$0003bb17
$00026fbc eor.w d0,(0,a5,d3.w) ;$0005e7bc
$00026fc0 ror.w #1,d0
$00026fc2 dbcs d1,$26f56
$00026fc6 bcc.b $26fce
$00026fc8 addq.w #2,a1
$00026fca dbf d1,$26f56
$00026fce rts
$00026fd0 moveq #0,d2
$00026fd2 move.w d1,d2
$00026fd4 lsl.w #7,d2
$00026fd6 move.l a6,a1
$00026fd8 lea ($2d218),a0
$00026fde adda.l d0,a0
$00026fe0 move.l #$20000,d3
$00026fe6 divu d1,d3
$00026fe8 ext.l d3

regular stack:
$6BFC8168 20040002 6FC0006C 00026B84 00026B68 00000040 4A700014 00001F83
0000FDA8
$6BFC8188 09293800 00080000 00084200 6BFFFFFF 00030604 00060E3C 0004FB39
00054CF8
$6BFC81A8 00DFF002 00060E3C 0005FA18 20000002 6B58006C 00001000 4A700014
00001F83
$6BFC81C8 0000FDA8 09293800 00080000 00084200 6BFFFFFF 00030604 00060E3C
0004FB39
$6BFC81E8 00054CF8 00039A18 00060E3C 0005FA18 20080002 6F70006C 00026B84
00026B68

  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6----
----7----
Dx 8 20C0008B 2100 190 4FF6500 80000 7C100
  10
Ax 30778 5E62C 4F4D3 6BFCAAE4 39A18 5E62C 5D218

                 TTSM III XNZVC
PC= 26FC0 SR %0010000000000100 USP=6BFC81F4 ISP=6BFC8168
MSP=80800
VBR=6BFF3000 SFC=5 DFC=5 CACR=80008000
TC=8000 URP=6BFFE000 SRP=6BFFE000 MMUSR=00000000
DTT0=00000000 DTT1=00000000 ITT0=00000000 ITT1=00000000

         MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110000001011000 dmacon=%0100001111101111 adkcon=$1100
intreq=%0000011110110000
vposr....A300 vhposr...02C0 joy0dat..0AF9 joy1dat..0000 clxdat...8001
pot0dat..F600 pot1dat..0000 potinp...5500 serdatr..3BFF dskbytr..8000
deniseid.00F8 hhposr...FF40
   ciaa: PI ROPS ciab: PI ROPS
    cra=00000000 ta=21FF<21FF cra=00001000 ta= 58A< 58A
        AII ROPS AII ROPS
    crb=00000000 tb=21FF<21FF crb=00001000 tb=FFFF<FFFF
        10RTWCLO parallel DRCCDSOY M3210HDS
    pra=11111110 prb=11111111 pra=11111111
prb=11111111
       ddra=00000011 ddrb=00000000 ddra=11000000
ddrb=11111111
       event=000343 icr=00 sdr=00 event=03FCEB icr=00 sdr=00

note ~0004486

Wepl (developer)

Hi Irek, can you test if the attached Slave fixes that problem?

note ~0004487

Irek (reporter)

Hi Bert,
 Just I tested it and it crashes after the first picture with this same strange error:
28-Mär-1511:53:30************************18.0.5614**************
Slave='WorldOfCommodore.slave' (8136 bytes)
ShadowMem 68348A30 - 683C4A30 ( 507904) AbsolutMem 7C000 - 81000 (
20480)
Resload 6BFBF000 - 6BFC6E0C ( 32268) at 6BFBF000 GL=$6BFF2000
Slave 6BFFB000 - 6BFFCFA4 ( 8100) at 6BFFB000 BaseMemSize=$81000
ExpMem 6BFC8000 - 6BFF1000 ( 167936) at 6BFC8000
attn=7F(40,82) fc=-1 kn=10371 cs=1851 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS) DbgAdr=26968

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $26FC2 (DbgAdr $65A) occured.

$00026f96 beq.b $26fc0
$00026f98 move.w (-1,a4,d2.l),d3 ;$0003c117
$00026f9c eor.w d0,(0,a5,d3.w) ;$00063926
$00026fa0 move.b (a2)+,d2 ;$0004f78b
$00026fa2 move.w (-1,a4,d2.l),d3 ;$0003c117
$00026fa6 eor.w d0,(0,a5,d3.w) ;$00063926
$00026faa move.b (a2)+,d2 ;$0004f78b
$00026fac beq.b $26fc0
$00026fae move.w (-1,a4,d2.l),d3 ;$0003c117
$00026fb2 eor.w d0,(0,a5,d3.w) ;$00063926
$00026fb6 move.b (a2)+,d2 ;$0004f78b
$00026fb8 move.w (-1,a4,d2.l),d3 ;$0003c117
$00026fbc eor.w d0,(0,a5,d3.w) ;$00063926
$00026fc0 ror.w #1,d0
$00026fc2 dbcs d1,$26f56
$00026fc6 bcc.b $26fce
$00026fc8 addq.w #2,a1
$00026fca dbf d1,$26f56
$00026fce rts
$00026fd0 moveq #0,d2
$00026fd2 move.w d1,d2
$00026fd4 lsl.w #7,d2
$00026fd6 move.l a6,a1
$00026fd8 lea ($2d218),a0
$00026fde adda.l d0,a0
$00026fe0 move.l #$20000,d3
$00026fe6 divu d1,d3
$00026fe8 ext.l d3
$00026fea move.l d3,d6

exception stackframe:
$6BFC816C 20000002 6FC2006C
regular stack:
$6BFC8174 00026B84 00026B68 FA180040 0900000C 00000000 000000C8 0627D800
00080000
$6BFC8194 0006BC00 00000010 00062218 0005FA18 00054C4B 6BFCACE4 00DFF002
00DFF0D8
$6BFC81B4 0005D218 20000002 6B58006C FA180005 0900000C 00000000 000000C8
0627D800
$6BFC81D4 00080000 0006BC00 00000010 00062218 0005FA18 00054C4B 6BFCACE4
00DFF002
$6BFC81F4 00DFF0D8 0005D218 201C6BFF B2EC006C 00026E1A 00026B84 00026B68
00004000

----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6----
----7----
Dx 800 DF500084 2700 2F8 468C000 80000 69000
10
Ax 30B30 6362E 4F78B 6BFCACE4 39A18 6362E 62218

TTSM III XNZVC
PC= 26FC2 SR %0010000000000000 USP=6BFC81F4 ISP=6BFC816C
MSP=80800
VBR=6BFF3000 SFC=5 DFC=5 CACR=0
TC=8000 URP=6BFFE000 SRP=6BFFE000 MMUSR=0
DTT0=0 DTT1=0 ITT0=0 ITT1=0

MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110000001011000 dmacon=%0010001111101111 adkcon=$1100
intreq=%0000011111100000
vposr....A300 vhposr...030C joy0dat..0A04 joy1dat..0000 clxdat...8001
pot0dat..2F00 pot1dat..0000 potinp...5500 serdatr..3BFC dskbytr..8000
deniseid.00F8 hhposr...FFBF
ciaa: PI ROPS ciab: PI ROPS
cra=00000000 ta=21FF<21FF cra=00001000 ta= 58A< 58A
AII ROPS AII ROPS
crb=00000000 tb=21FF<21FF crb=00001000 tb=FFFF<FFFF
10RTWCLO parallel DRCCDSOY M3210HDS
pra=11111110 prb=11111111 pra=11111111
prb=11111111
ddra=00000011 ddrb=00000000 ddra=11000000
ddrb=11111111
event=00049E icr=00 sdr=00 event=05A52E icr=00 sdr=00

note ~0004488

Wepl (developer)

Hi Irek, can you please try the attached Slave? It works on my 68060 fine now.

note ~0004489

Irek (reporter)

Hi Bert,
Well, it works without crashing on my setup now, thanks for that, but from the point where the demo has ever crashed, I have slowdown in the sound. I tried it with nocache option, unfortunately with the same result.

note ~0004490

Wepl (developer)

Hi Irek, have removed the patch causing this problem. Can you please try it works now?

note ~0004493

micv3 (reporter)

...geht bei mir leider nicht. Nach dem ersten Bild was von oben fällt (säulenbild), hängt sich alles auf. Gruß MiC

note ~0004495

Irek (reporter)

Hi Bert,
It crashes again after the first picture with this fault:

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $6BFFA352 (Slave $352) occured.

note ~0004496

Wepl (developer)

A new Slave, please try.

note ~0004497

micv3 (reporter)

Hello Bert,
No, it crashes again after the first picture...
(ACA500+ACA1220)

Regards, MiC

note ~0004500

Irek (reporter)

Hi Bert,
It crashes now by the second picture (after 2/3 seconds) with this error:
Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $26F9C occured.

note ~0004518

Wepl (developer)

It seems this demo doesn't like me...
Please try the attached Slave and set option FileLog and make a dump at the error.
Attach the resulting .whdl_log and .whdl_register.

note ~0004519

micv3 (reporter)

Last edited: 2015-04-11 20:13

View 3 revisions

Hi, crashes again .. MiC

Edit: if it hangs, so I can only make "reset".

Edit2: Photo shows where it hangs ... No button reacts just reset.

note ~0004520

Irek (reporter)

Hi,
It still crashes on my setup too, here below are the two files:whdl_log+whdl_register

******* 11-Apr-15 18:35:12 ******* WorldOfCommodore.slave ******* 18.0.5614 *******
[0000] [Disk] crc=55F7 dest=$ 1000 size=$ 2C00= 11264 disk=1 offset=$ 0
[0001] [Disk] crc=3BF7 dest=$6BFC76A0 size=$ 1600= 5632 disk=1 offset=$ 1600
[0002] loader
[0003] [Disk] crc=BBFE dest=$6BFC76A0 size=$ 1600= 5632 disk=1 offset=$ 2C00
[0004] loadseg loader @6BFC90B0 exp@20B0
[0005] incasm:sosdebug
[0006] [Disk] crc=DA4D dest=$6BFC76A0 size=$ 1600= 5632 disk=1 offset=$29400
[0007] readfile mod @828 exp@94039828 len=$2584C=153676
[0008] [Disk] crc=62AA dest=$ 828 size=$2584C=153676 disk=1 offset=$ 3A00
[0009] [Write] crc=62AA src=$ 828 size=$2584C=153676 name=mod
[0010] stars
[0011] loadseg stars @26078 exp@9405F078
[0012] loc
[0013] loadseg loc @26650 exp@9405F650
[0014] incasm:sosdebug
[0015] readfile woc.raw @70000 exp@940A9000 len=$10000=65536
[0016] [Disk] crc=8AB5 dest=$ 70000 size=$10000= 65536 disk=1 offset=$2A400
[0017] [Write] crc=8AB5 src=$ 70000 size=$10000= 65536 name=woc.raw
[0018] dots
[0019] [Disk] crc=D5F4 dest=$6BFC76A0 size=$ 1600= 5632 disk=1 offset=$34400
[0020] [Disk] crc=2AD1 dest=$ 26968 size=$ 28AC= 10412 disk=1 offset=$34628
[0021] [Disk] crc=B2EB dest=$6BFC76A0 size=$ 1600= 5632 disk=1 offset=$35A00
[0022] [Disk] crc=8689 dest=$6BFC76A0 size=$ 1600= 5632 disk=1 offset=$37000
[0023] loadseg dots @26968 exp@9405F968
[0024] readfile font.pp @4B218 exp@94084218 len=$446C=17516
[0025] [Disk] crc=9045 dest=$ 4B218 size=$ 446C= 17516 disk=1 offset=$37200
[0026] [Write] crc=9045 src=$ 4B218 size=$ 446C= 17516 name=font.pp
[0027] incasm:sosdebug
[0028] [Disk] crc=DA4D dest=$6BFC76A0 size=$ 1600= 5632 disk=1 offset=$29400
************************* 11-Apr-15 18:36:13 ************************18.0.5614***
Slave='WorldOfCommodore.slave' (8664 bytes)
ShadowMem 6830D7C0 - 683767C0 ( 430080) AbsolutMem 69000 - 81000 ( 98304)
Resload 6BFBE000 - 6BFC5E0C ( 32268) at 6BFBE000 GL=$6BFF1000
Slave 6BFFA000 - 6BFFC1B4 ( 8628) at 6BFFA000 BaseMemSize=$81000
ExpMem 6BFC7000 - 6BFF0000 ( 167936) at 6BFC7000
attn=7F(40,82) fc=-1 kn=10371 cs=1851 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS) DbgAdr=26968

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $26F98 (DbgAdr $630) occured.

$00026f6c move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f70 eor.w d0,(0,a5,d3.w) ;$00061190
$00026f74 move.b (a2)+,d2 ;$00054efd
$00026f76 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f7a eor.w d0,(0,a5,d3.w) ;$00061190
$00026f7e move.b (a2)+,d2 ;$00054efd
$00026f80 beq.b $26fc0
$00026f82 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f86 eor.w d0,(0,a5,d3.w) ;$00061190
$00026f8a move.b (a2)+,d2 ;$00054efd
$00026f8c move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f90 eor.w d0,(0,a5,d3.w) ;$00061190
$00026f94 move.b (a2)+,d2 ;$00054efd
$00026f96 beq.b $26fc0
$00026f98 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f9c eor.w d0,(0,a5,d3.w) ;$00061190
$00026fa0 move.b (a2)+,d2 ;$00054efd
$00026fa2 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026fa6 eor.w d0,(0,a5,d3.w) ;$00061190
$00026faa move.b (a2)+,d2 ;$00054efd
$00026fac beq.b $26fc0
$00026fae move.w (-1,a4,d2.l),d3 ;$00047a52
$00026fb2 eor.w d0,(0,a5,d3.w) ;$00061190
$00026fb6 move.b (a2)+,d2 ;$00054efd
$00026fb8 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026fbc eor.w d0,(0,a5,d3.w) ;$00061190
$00026fc0 ror.w #1,d0
$00026fc2 dbcs d1,$26f56
$00026fc6 bcc.b $26fce

exception stackframe:
$6BFC714C 20000002 6F98006C
regular stack:
$6BFC7154 00026B84 00026B68 00000400 F1300012 0000DF00 0000028E 56000147 00080000
$6BFC7174 00012500 00000010 0003374C 0006363C 0004BEB7 6BFC9AE4 00039A18 0006363C
$6BFC7194 00062218 20000002 6F5E006C 00026B84 00026B68 00000200 BA800011 0000DF81
$6BFC71B4 0000EEA8 01487B00 00080000 00012500 00000010 0003371C 0005E63C 0004BE61
$6BFC71D4 6BFC9AE4 00039A18 0005E63C 0005D218 20080002 6F74006C 00026B84 00026B68

----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx 4000 427000F6 E03B 370 422800 80000 12400 10
Ax 33780 60E20 54EFD 6BFC9AE4 39A18 60E20 5FA18

TTSM III XNZVC
PC= 26F98 SR %0010000000000000 USP=6BFC71F0 ISP=6BFC714C MSP=80800
VBR=6BFF2000 SFC=5 DFC=5 CACR=0
TC=8000 URP=6BFBC000 SRP=6BFBC000 MMUSR=0
DTT0=0 DTT1=0 ITT0=0 ITT1=0

MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110000001011000 dmacon=%0000001111101111 adkcon=$1100
intreq=%0000011111100000
vposr....A300 vhposr...0302 joy0dat..0006 joy1dat..0000 clxdat...8001
pot0dat..0200 pot1dat..0000 potinp...5500 serdatr..3BFF dskbytr..8000
deniseid.00F8 hhposr...FFB6
ciaa: PI ROPS ciab: PI ROPS
cra=00000000 ta=21FF<21FF cra=00001000 ta= 58A< 58A
AII ROPS AII ROPS
crb=00000000 tb=21FF<21FF crb=00001000 tb=FFFF<FFFF
10RTWCLO parallel DRCCDSOY M3210HDS
pra=11111110 prb=11111111 pra=11111111 prb=11111111
ddra=00000011 ddrb=00000000 ddra=11000000 ddrb=11111111
event=000586 icr=00 sdr=00 event=06C0D7 icr=00 sdr=00

************************* 11-Apr-15 18:38:53 ************************18.0.5614***
Slave='WorldOfCommodore.slave' (8664 bytes)
ShadowMem 6830D7C0 - 683767C0 ( 430080) AbsolutMem 69000 - 81000 ( 98304)
Resload 6BFBE000 - 6BFC5E0C ( 32268) at 6BFBE000 GL=$6BFF1000
Slave 6BFFA000 - 6BFFC1B4 ( 8628) at 6BFFA000 BaseMemSize=$81000
ExpMem 6BFC7000 - 6BFF0000 ( 167936) at 6BFC7000
attn=7F(40,82) fc=-1 kn=10371 cs=1851 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS) DbgAdr=26968

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $26F98 (DbgAdr $630) occured.

$00026f6c move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f70 eor.w d0,(0,a5,d3.w) ;$00061190
$00026f74 move.b (a2)+,d2 ;$00054efd
$00026f76 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f7a eor.w d0,(0,a5,d3.w) ;$00061190
$00026f7e move.b (a2)+,d2 ;$00054efd
$00026f80 beq.b $26fc0
$00026f82 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f86 eor.w d0,(0,a5,d3.w) ;$00061190
$00026f8a move.b (a2)+,d2 ;$00054efd
$00026f8c move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f90 eor.w d0,(0,a5,d3.w) ;$00061190
$00026f94 move.b (a2)+,d2 ;$00054efd
$00026f96 beq.b $26fc0
$00026f98 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026f9c eor.w d0,(0,a5,d3.w) ;$00061190
$00026fa0 move.b (a2)+,d2 ;$00054efd
$00026fa2 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026fa6 eor.w d0,(0,a5,d3.w) ;$00061190
$00026faa move.b (a2)+,d2 ;$00054efd
$00026fac beq.b $26fc0
$00026fae move.w (-1,a4,d2.l),d3 ;$00047a52
$00026fb2 eor.w d0,(0,a5,d3.w) ;$00061190
$00026fb6 move.b (a2)+,d2 ;$00054efd
$00026fb8 move.w (-1,a4,d2.l),d3 ;$00047a52
$00026fbc eor.w d0,(0,a5,d3.w) ;$00061190
$00026fc0 ror.w #1,d0
$00026fc2 dbcs d1,$26f56
$00026fc6 bcc.b $26fce

exception stackframe:
$6BFC714C 20000002 6F98006C
regular stack:
$6BFC7154 00026B84 00026B68 00000400 F1300012 0000DF00 0000028E 56000147 00080000
$6BFC7174 00012500 00000010 0003374C 0006363C 0004BEB7 6BFC9AE4 00039A18 0006363C
$6BFC7194 00062218 20000002 6F5E006C 00026B84 00026B68 00000200 BA800011 0000DF81
$6BFC71B4 0000EEA8 01487B00 00080000 00012500 00000010 0003371C 0005E63C 0004BE61
$6BFC71D4 6BFC9AE4 00039A18 0005E63C 0005D218 20080002 6F74006C 00026B84 00026B68

----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx 4000 427000F6 E03B 370 422800 80000 12400 10
Ax 33780 60E20 54EFD 6BFC9AE4 39A18 60E20 5FA18

TTSM III XNZVC
PC= 26F98 SR %0010000000000000 USP=6BFC71F0 ISP=6BFC714C MSP=80800
VBR=6BFF2000 SFC=5 DFC=5 CACR=0
TC=8000 URP=6BFBC000 SRP=6BFBC000 MMUSR=0
DTT0=0 DTT1=0 ITT0=0 ITT1=0

MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110000001011000 dmacon=%0000001111101111 adkcon=$1100
intreq=%0000011111100000
vposr....A300 vhposr...0302 joy0dat..0006 joy1dat..0000 clxdat...8001
pot0dat..0200 pot1dat..0000 potinp...5500 serdatr..3BFF dskbytr..8000
deniseid.00F8 hhposr...FFB6
ciaa: PI ROPS ciab: PI ROPS
cra=00000000 ta=21FF<21FF cra=00001000 ta= 58A< 58A
AII ROPS AII ROPS
crb=00000000 tb=21FF<21FF crb=00001000 tb=FFFF<FFFF
10RTWCLO parallel DRCCDSOY M3210HDS
pra=11111110 prb=11111111 pra=11111111 prb=11111111
ddra=00000011 ddrb=00000000 ddra=11000000 ddrb=11111111
event=000586 icr=00 sdr=00 event=06C0D7 icr=00 sdr=00

note ~0004521

Wepl (developer)

@Irek: please test the new slave
@MiC: please wait with testing until the problem is fixed for Irek, maybe this then also solves your problem

note ~0004523

Irek (reporter)

Last edited: 2015-04-12 14:05

View 2 revisions

Hi,
It crashes with the same error as yesterday:

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $26F98 (DbgAdr $630) occured.

note ~0004524

Wepl (developer)

Can you please set option ChkInts and retry?

note ~0004525

Irek (reporter)

Just I tried it with the ChkInst option and it crashes with the same error.
After that I tried it with a different version and the error looks a bit different:

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $277DE (DbgAdr $69E) occured.

note ~0004526

Wepl (developer)

You tried ChkInts? Not ChkInst as you wrote?
http://whdload.de/docs/en/opt.html#ChkInts

note ~0004527

Irek (reporter)

Of course, I tried it as a local options (nocache+ChkInts).
Versio1:
Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $26F98 (DbgAdr $630) occured.
Version2:
Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $277DE (DbgAdr $69E) occured.

note ~0006501

Irek (reporter)

Hi Bert,
Now after many years :), I have tested it with snoop option + chkblitwait and the demo crashes with this error:

************************* 18-Nov-18 10:33:28 ************************18.3.5863***
Slave='WorldOfCommodore.slave' (8136 bytes)
ShadowMem 544BF9B0 - 5453B9B0 ( 507904) AbsolutMem 7C000 - 81000 ( 20480)
Resload 5BF3D000 - 5BF44C8C ( 31884) at 5BF3D000 GL=$5BF70000
Slave 5BF79000 - 5BF7AFA4 ( 8100) at 5BF79000 BaseMemSize=$81000
ExpMem 5BF46000 - 5BF6F000 ( 167936) at 5BF46000
attn=7F(40,82) fc=-1 kn=10371 cs=A7CE rw=0 zpt=-1 ep=0 ei=0
setcpu=2324(SS,DC,IC,SWT,ENC,BNCS) DbgAdr=26968

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $26F7E (DbgAdr $616) occured.

$00026f58 swap d4
$00026f5a move.w d4,d3
$00026f5c add.w d3,d3
$00026f5e add.w d3,d3
$00026f60 move.l (0,a0,d3.w),a2 ;$000324ec
$00026f64 swap d4
$00026f66 move.l a1,a5
$00026f68 move.b (a2)+,d2 ;$00050112
$00026f6a beq.b $26fc0
$00026f6c move.w (-1,a4,d2.l),d3 ;$000453dc
$00026f70 eor.w d0,(0,a5,d3.w) ;$0006076c
$00026f74 move.b (a2)+,d2 ;$00050112
$00026f76 move.w (-1,a4,d2.l),d3 ;$000453dc
$00026f7a eor.w d0,(0,a5,d3.w) ;$0006076c
$00026f7e move.b (a2)+,d2 ;$00050112
$00026f80 beq.b $26fc0
$00026f82 move.w (-1,a4,d2.l),d3 ;$000453dc
$00026f86 eor.w d0,(0,a5,d3.w) ;$0006076c
$00026f8a move.b (a2)+,d2 ;$00050112
$00026f8c move.w (-1,a4,d2.l),d3 ;$000453dc
$00026f90 eor.w d0,(0,a5,d3.w) ;$0006076c
$00026f94 move.b (a2)+,d2 ;$00050112
$00026f96 beq.b $26fc0
$00026f98 move.w (-1,a4,d2.l),d3 ;$000453dc
$00026f9c eor.w d0,(0,a5,d3.w) ;$0006076c
$00026fa0 move.b (a2)+,d2 ;$00050112
$00026fa2 move.w (-1,a4,d2.l),d3 ;$000453dc
$00026fa6 eor.w d0,(0,a5,d3.w) ;$0006076c
$00026faa move.b (a2)+,d2 ;$00050112

exception stackframe:
$5BF4614C 20080002 6F7E006C
regular stack:
$5BF46154 00026B84 00026B68 00004000 49A00006 0000B800 0000F678 019E6800 00080000
$5BF46174 00016400 00000010 00032B70 0006363E 000551B3 5BF48AE4 00039A18 0006363E
$5BF46194 00062218 20000002 6F58006C 00026B84 00026B68 00002000 86500005 0000B751
$5BF461B4 000008E8 01A22200 00080000 00016600 00000010 00032B3C 0005E63E 00055174
$5BF461D4 5BF48AE4 00039A18 0005E63E 0005D218 20000002 6F90006C 00026B84 00026B68

  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx 4000 6AB000D6 B9C5 F948 7C7400 80000 16200 10
Ax 32BA4 60E24 50112 5BF48AE4 39A18 60E24 5FA18

                 TTSM III XNZVC
PC= 26F7E SR %0010000000001000 USP=5BF461F8 ISP=5BF4614C MSP=80800
VBR=5BF71000 SFC=5 DFC=5 CACR=80008000 MMUSR=0
TC=8000 URP=5BFFE000 SRP=5BFFE000 DTT0=0 DTT1=0 ITT0=0 ITT1=0

         MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110000001011000 dmacon=%0000001111101111 adkcon=$1100
intreq=%0000011111100000
vposr....A300 vhposr...0A48 joy0dat..AB37 joy1dat..0000 clxdat...8001
pot0dat..1439 pot1dat..FDAA potinp...5500 serdatr..3BFF dskbytr..8000
vposw....A300 bltcon0..0D3C bltcon1..0000 bltafwm..FFFF bltalwm..FFFF
bltbpt...0006 bltbptl..2240 bltapt...0006 bltaptl..2218 bltdpt...0006
bltdptl..2240 bltsize..3FD4 bltbmod..0000 bltamod..0000 bltdmod..0000
cop1lc...0002 cop1lcl..71A0 cop2lc...0000 cop2lcl..1000 diwstrt..2C81
diwstop..2CC1 ddfstrt..0038 ddfstop..00D0 aud0pt...0000 aud0ptl..AA24
aud0len..0001 aud0per..00B4 aud0vol..0018 aud1pt...0002 aud1ptl..1DFA
aud1len..0A35 aud1per..0097 aud1vol..0000 aud2pt...0000 aud2ptl..BB46
aud2len..01A6 aud2per..00B4 aud2vol..0010 aud3pt...0000 aud3ptl..F67C
aud3len..0B2B aud3per..012E aud3vol..000E bpl1pt...0002 bpl1ptl..73A0
bpl2pt...0002 bpl2ptl..7DA0 bpl3pt...0002 bpl3ptl..87A0 bpl4pt...0005
bpl4ptl..FA18 bplcon0..4200 bplcon1..0000 bplcon2..0000 bpl1mod..0000
bpl2mod..0000 spr0pt...0002 spr0ptl..7320 spr1pt...0002 spr1ptl..7320
spr2pt...0002 spr2ptl..7320 spr3pt...0002 spr3ptl..7320 spr4pt...0002
spr4ptl..7320 spr5pt...0002 spr5ptl..7320 spr6pt...0002 spr6ptl..7320
spr7pt...0002 spr7ptl..7320 spr0ctl..0000 spr0data.0000 spr0datb.0000
spr1ctl..0000 spr1data.0000 spr1datb.0000 spr2ctl..0000 spr2data.0000
spr2datb.0000 spr3ctl..0000 spr3data.0000 spr3datb.0000 spr4ctl..0000
spr4data.0000 spr4datb.0000 spr5ctl..0000 spr5data.0000 spr5datb.0000
spr6ctl..0000 spr6data.0000 spr6datb.0000 spr7ctl..0000 spr7data.0000
spr7datb.0000 color00..0000 color01..0000 color02..0000 color03..0000
color04..0000 color05..0000 color06..0000 color07..0000 color08..0000
color09..0000 color10..0000 color11..0000 color12..0000 color13..0000
color14..0000 color15..0000 color16..0000 color17..0000 color18..0000
color19..0000 color20..0000 color21..0000 color22..0000 color23..0000
color24..0000 color25..0000 color26..0000 color27..0000 color28..0000
color29..0000 color30..0000 color31..0000
   ciaa: PI ROPS ciab: PI ROPS
    cra=00000000 ta=21FF<21FF cra=00001000 ta= 58A< 58A
        AII ROPS AII ROPS
    crb=00000000 tb=21FF<21FF crb=00001000 tb=FFFF<FFFF
        10RTWCLO parallel DRCCDSOY M3210HDS
    pra=11111110 prb=11111111 pra=11111111 prb=11111111
       ddra=00000011 ddrb=00000000 ddra=11000000 ddrb=11111111
       event=000506 icr=00 sdr=7E event=062448 icr=00 sdr=00
       alarm=FFFFFF icm=88 alarm=0AD303 icm=83

note ~0006505

Wepl (developer)

Can you test attached Slave, should have more stack space.

note ~0006510

Irek (reporter)

I tried the new slave and it crashes after the second screen with another error:
Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector (COPPER/VBLANK/BLITTER)"($6C) at $2705A occured.
Then I tried it with NOMMu option and the demo worked on my setup (only the 3 screen "Amiga rules" did not play the music cleanly.)

note ~0006512

Wepl (developer)

Can you please attach the register file on the BadSP error?

note ~0006514

Irek (reporter)

Here is the whole register file:

************************* 24-Nov-18 19:11:39 ************************18.3.5863***
Slave='WorldOfCommodore.slave' (8372 bytes)
ShadowMem 544B9778 - 54524778 ( 438272) AbsolutMem 6B000 - 81000 ( 90112)
Resload 5BF3C000 - 5BF43C8C ( 31884) at 5BF3C000 GL=$5BF6F000
Slave 5BF78000 - 5BF7A090 ( 8336) at 5BF78000 BaseMemSize=$81000
ExpMem 5BF45000 - 5BF6E000 ( 167936) at 5BF45000
attn=7F(40,82) fc=-1 kn=10371 cs=A7CE rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS)

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $2705A occured.

$00027036 add.l d6,d4
$00027038 move.l d4,d3
$0002703a swap d3
$0002703c add.w d3,d3
$0002703e add.w d3,d3
$00027040 move.l (0,a0,d3.w),a2 ;$0002d868
$00027044 move.b (a6)+,d7 ;$0004ab00
$00027046 move.b (a3)+,d5 ;$0004ac00
$00027048 addq.w #3,a3
$0002704a move.w (0,a4,d7.l),d3 ;$0003a8ce
$0002704e add.w (0,a4,d5.l),d3 ;$00039ac6
$00027052 lea (0,a1,d3.w),a5 ;$0005e582
$00027056 move.b (a2)+,d2 ;$00055429
$00027058 beq.b $270ae
$0002705a move.w (-1,a4,d2.l),d3 ;$0003d198
$0002705e eor.w d0,(0,a5,d3.w) ;$0005e4e2
$00027062 move.b (a2)+,d2 ;$00055429
$00027064 move.w (-1,a4,d2.l),d3 ;$0003d198
$00027068 eor.w d0,(0,a5,d3.w) ;$0005e4e2
$0002706c move.b (a2)+,d2 ;$00055429
$0002706e beq.b $270ae
$00027070 move.w (-1,a4,d2.l),d3 ;$0003d198
$00027074 eor.w d0,(0,a5,d3.w) ;$0005e4e2
$00027078 move.b (a2)+,d2 ;$00055429
$0002707a move.w (-1,a4,d2.l),d3 ;$0003d198
$0002707e eor.w d0,(0,a5,d3.w) ;$0005e4e2
$00027082 move.b (a2)+,d2 ;$00055429
$00027084 beq.b $270ae
$00027086 move.w (-1,a4,d2.l),d3 ;$0003d198

exception stackframe:
$5BF45170 20080002 705A006C
regular stack:
$5BF45178 00026B84 00026B68 00000010 00000000 000036A1 9400FCE0 05679400 00000072
$5BF45198 0004BD00 00000D82 0002D8A0 00060E3C 00055A61 0004AF4A 00039A18 00060D4C
$5BF451B8 0004ABD3 20080002 7062006C 00026B84 00026B68 00000010 00000000 00003500
$5BF451D8 D0001604 0581D000 0000007C 0004D400 00000D80 0002D838 0006363C 00055A60
$5BF451F8 0004AF51 00039A18 0006354C 0004ABD6 20000002 7048006C 00026B84 00026B68

  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx 10 D 3781 CC00FF60 186CC00 AE 4A700 EB6
Ax 2D908 5E622 55429 4AC00 39A18 5E582 4AB00

                 TTSM III XNZVC
PC= 2705A SR %0010000000001000 USP=5BF453F4 ISP=5BF45170 MSP=80800
VBR=5BF70000 SFC=5 DFC=5 CACR=0 MMUSR=0
TC=8000 URP=5BFFE000 SRP=5BFFE000 DTT0=0 DTT1=0 ITT0=0 ITT1=0

         MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110000001011000 dmacon=%0000001111101111 adkcon=$1100
intreq=%0000011111100000
vposr....A300 vhposr...02D5 joy0dat..03F9 joy1dat..0000 clxdat...8001
pot0dat..693A pot1dat..3BE0 potinp...5500 serdatr..3BFF dskbytr..8000
deniseid.00F8 hhposr...FF89
   ciaa: PI ROPS ciab: PI ROPS
    cra=00000000 ta=21FF<21FF cra=00001000 ta= 58A< 58A
        AII ROPS AII ROPS
    crb=00000000 tb=21FF<21FF crb=00001000 tb=FFFF<FFFF
        10RTWCLO parallel DRCCDSOY M3210HDS
    pra=11111110 prb=11111111 pra=11111111 prb=11111111
       ddra=00000011 ddrb=00000000 ddra=11000000 ddrb=11111111
       event=00063D icr=00 sdr=00 event=07A095 icr=00 sdr=00

note ~0006531

Irek (reporter)

I tried the unofficial version 1.6 on my setup, and it seems to run with NOMMU option too, but with some slowdowns.
I noticed that after the Quitkey appear additional files in the demo folder. (font.pp, mod, and woc.raw)

note ~0006534

Wepl (developer)

I have started to working again on this install. I see also some problems (interrupts) on my 68060 and will fix them. May still take some time.
The created files are because this was a debug version which extracts the parts to analyse. Final Slave will not do that. You can delete them.

note ~0006535

Wepl (developer)

Please try the new attached Slave. Works here on my 68060 for both versions.

note ~0006537

Irek (reporter)

Just, I tested it on my setup and the demo works fine now on my 68040 CPU too.(no more slowdowns in the graphics and music)
However, without NOMMU option it crashes at the same place with another error.

Bad stack pointer on entering WHDLoad via Exception "Level 3 Autovector
(COPPER/VBLANK/BLITTER)" ($6C) at $2704E occured.

note ~0006546

Wepl (developer)

Can you please make dump and send the complete dump per pm?
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 01:26 administrator New Issue
2009-04-10 01:26 administrator Status new => assigned
2009-04-10 01:26 administrator Assigned To => Wepl
2009-04-10 01:26 administrator Machine => A1200
2009-04-10 01:26 administrator CPU => 68040
2009-04-10 01:26 administrator CPUSpeed => 25
2009-04-10 01:26 administrator ChipSet => AGA
2009-04-10 01:26 administrator GFXCard => None
2009-04-10 01:26 administrator ChipMem => 2 MB
2009-04-10 01:26 administrator FastMem => 32 MB
2009-04-10 01:26 administrator Workbench => OS 3.9
2009-04-10 01:26 administrator KickROM => 40 - Kick 3.1
2009-04-10 01:26 administrator KickSoft => None
2009-04-10 01:26 administrator WHDLoad => 16.8
2009-04-10 01:26 administrator imported => yes
2009-06-15 21:37 Wepl Note Added: 0001224
2009-06-15 21:44 Wepl Note Added: 0001226
2012-03-21 13:05 Wepl File Added: 1.whdl_register
2012-03-21 13:06 Wepl File Added: 2.whdl_register
2012-03-21 19:07 Wepl Note Added: 0002639
2012-03-21 19:09 Wepl Status assigned => resolved
2012-03-21 19:09 Wepl Resolution open => fixed
2012-03-21 19:42 Retroplay Note Added: 0002642
2012-03-21 19:43 Retroplay Note Edited: 0002642 View Revisions
2012-03-21 19:51 Wepl Note Added: 0002643
2012-03-21 20:03 Retroplay Note Added: 0002644
2012-03-21 20:14 Wepl Note Added: 0002645
2012-03-21 20:23 Retroplay Note Added: 0002646
2012-03-21 21:57 Wepl Note Added: 0002647
2012-03-21 23:01 Retroplay Note Added: 0002648
2012-03-21 23:02 Retroplay Note Edited: 0002648 View Revisions
2012-04-13 22:01 Irek Note Added: 0002670
2015-03-28 11:16 Wepl File Added: WorldOfCommodore.Slave
2015-03-28 11:16 Wepl Note Added: 0004486
2015-03-28 12:52 Irek Note Added: 0004487
2015-03-29 01:52 Wepl File Deleted: WorldOfCommodore.Slave
2015-03-29 01:52 Wepl File Added: WorldOfCommodore.Slave
2015-03-29 01:53 Wepl Note Added: 0004488
2015-03-29 11:51 Wepl Status resolved => feedback
2015-03-29 11:51 Wepl Resolution fixed => reopened
2015-03-29 13:12 Irek Note Added: 0004489
2015-03-29 13:12 Irek Status feedback => assigned
2015-03-29 14:16 Wepl File Deleted: WorldOfCommodore.Slave
2015-03-29 14:16 Wepl File Added: WorldOfCommodore.Slave
2015-03-29 14:17 Wepl Note Added: 0004490
2015-03-29 17:41 micv3 Note Added: 0004493
2015-03-29 17:53 Irek Note Added: 0004495
2015-03-30 00:17 Wepl File Deleted: WorldOfCommodore.Slave
2015-03-30 00:17 Wepl File Added: WorldOfCommodore.Slave
2015-03-30 00:18 Wepl Note Added: 0004496
2015-03-30 00:47 micv3 Note Added: 0004497
2015-03-30 16:10 Irek Note Added: 0004500
2015-04-11 18:34 Wepl File Deleted: WorldOfCommodore.Slave
2015-04-11 18:34 Wepl File Added: WorldOfCommodore.Slave
2015-04-11 18:36 Wepl Note Added: 0004518
2015-04-11 19:49 micv3 File Added: .whdl_log
2015-04-11 19:50 micv3 Note Added: 0004519
2015-04-11 20:06 micv3 File Added: .whdl_register
2015-04-11 20:09 micv3 Note Edited: 0004519 View Revisions
2015-04-11 20:11 micv3 File Added: Foto.JPG
2015-04-11 20:13 micv3 Note Edited: 0004519 View Revisions
2015-04-11 20:29 Irek Note Added: 0004520
2015-04-12 12:29 Wepl File Deleted: WorldOfCommodore.Slave
2015-04-12 12:30 Wepl File Added: WorldOfCommodore.Slave
2015-04-12 12:31 Wepl Note Added: 0004521
2015-04-12 14:04 Irek Note Added: 0004523
2015-04-12 14:05 Irek Note Edited: 0004523 View Revisions
2015-04-12 16:30 Wepl Note Added: 0004524
2015-04-12 18:29 Irek Note Added: 0004525
2015-04-12 20:07 Wepl Note Added: 0004526
2015-04-15 18:31 Irek Note Added: 0004527
2018-11-18 16:17 Irek Note Added: 0006501
2018-11-20 18:53 Wepl File Added: WorldOfCommodore-2.Slave
2018-11-20 18:53 Wepl Note Added: 0006505
2018-11-24 14:14 Irek Note Added: 0006510
2018-11-24 15:17 Wepl Note Added: 0006512
2018-11-24 20:21 Irek Note Added: 0006514
2018-12-01 11:27 Irek Note Added: 0006531
2018-12-02 21:32 Wepl Note Added: 0006534
2018-12-06 14:24 Wepl File Added: WorldOfCommodore-3.Slave
2018-12-06 14:25 Wepl Note Added: 0006535
2018-12-07 21:31 Irek Note Added: 0006537
2018-12-10 16:53 Wepl Note Added: 0006546
+Issue History